# Note: Buildroot's and Meson's terminologies differ about the meaning
# of 'build', 'host' and 'target':
# - Buildroot's 'host' is Meson's 'build'
# - Buildroot's 'target' is Meson's 'host'

[binaries]
c = '/opt/shredos/output/host/bin/x86_64-buildroot-linux-gnu-gcc'
cpp = '/opt/shredos/output/host/bin/x86_64-buildroot-linux-gnu-g++'
ar = '/opt/shredos/output/host/bin/x86_64-buildroot-linux-gnu-ar'
strip = '/opt/shredos/output/host/bin/x86_64-buildroot-linux-gnu-strip'
pkgconfig = '/opt/shredos/output/host/bin/pkgconf'
g-ir-compiler = '/opt/shredos/output/host/x86_64-buildroot-linux-gnu/sysroot/usr/bin/g-ir-compiler'
g-ir-scanner = '/opt/shredos/output/host/x86_64-buildroot-linux-gnu/sysroot/usr/bin/g-ir-scanner'

[properties]
needs_exe_wrapper = true
c_args = ['-D_LARGEFILE_SOURCE', '-D_LARGEFILE64_SOURCE', '-D_FILE_OFFSET_BITS=64', '-Os'@PKG_TARGET_CFLAGS@]
c_link_args = [@PKG_TARGET_CFLAGS@]
cpp_args = ['-D_LARGEFILE_SOURCE', '-D_LARGEFILE64_SOURCE', '-D_FILE_OFFSET_BITS=64', '-Os'@PKG_TARGET_CFLAGS@]
cpp_link_args = [@PKG_TARGET_CFLAGS@]
sys_root = '/opt/shredos/output/host/x86_64-buildroot-linux-gnu/sysroot'
pkg_config_libdir = '/opt/shredos/output/host/x86_64-buildroot-linux-gnu/sysroot/usr/lib/pkgconfig:/opt/shredos/output/host/x86_64-buildroot-linux-gnu/sysroot/usr/share/pkgconfig'
pkg_config_static = 'false'

[host_machine]
system = 'linux'
cpu_family = 'x86_64'
cpu = ''
endian = 'little'
